summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/include/common.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/include/common.sh b/scripts/include/common.sh
index 0df1bba..c61111f 100644
--- a/scripts/include/common.sh
+++ b/scripts/include/common.sh
@@ -78,6 +78,11 @@ function env_path {
check_error $?
}
+function env_aclocal_path {
+ echo "export ACLOCAL_PATH=${bindir}/$1:\$PATH" >>"${envfile}"
+ check_error $?
+}
+
function env_lib_library_path {
echo "export LD_LIBRARY_PATH=${bindir}/$1:\$LD_LIBRARY_PATH" >>"${envfile}"
check_error $?
@@ -249,6 +254,7 @@ function package_use {
repack_paths "$ENV_LD_LIBRARY_PATH" "LD_LIBRARY_PATH"
repack_paths "$ENV_PKG_CONFIG_PATH" "PKG_CONFIG_PATH"
repack_paths "$ENV_MANPATH" "MANPATH"
+ repack_paths "$ENV_ACLOCAL_PATH" "ACLOCAL_PATH"
}
function common_use_package {